List Exports - Flex Documentation
List Exports
cURL
curl --request GET \
--url https://api.withflex.com/v1/exports \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.withflex.com/v1/exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/exports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/exports")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
HTTP Response Codes
- 200: Success
- 401: Unauthorized
- 403: Forbidden
- 404: Not Found
- 409: Conflict
- 422: Unprocessable Entity
- 429: Too Many Requests
Example Response Structure
{
"export": [
{
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
]
}
Error Response Structure
{
"code": "string",
"detail": "string"
}
Authorization
Authorization is a required header. Use a Bearer token to access this API.
Query Parameters
- starting_after: string | null — A cursor for pagination. An export ID that defines your place in the list. Example: "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- ending_before: string | null — A cursor for pagination. An export ID that defines your place in the list. Example: "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- limit: integer
| null — A limit on the number of objects to return (1-100). Default is 10. Example: 10 - offset: integer
| null — Number of objects to skip before returning results. Example: 3
Response Structure
The response will contain an envelope wrapping a list of export objects. The key attribute will be "export" containing the list of exports.